> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取快照元数据

> Get dataset snapshots metadata



## OpenAPI

````yaml dca-api GET /datasets/snapshots
openapi: 3.1.0
info:
  title: Brightdata API
  description: API for interaction with datasets marketplace
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/snapshots:
    get:
      description: Get dataset snapshots metadata
      parameters:
        - in: query
          name: dataset_id
          description: Dataset ID
          required: false
          schema:
            type: string
            example: gd_l1viktl72bvl7bjuj0
        - in: query
          name: view_id
          description: View ID
          required: false
          schema:
            type: string
            example: v_m6iezgld2c56zjwchm
        - in: query
          name: status
          description: Snapshot status
          required: false
          schema:
            $ref: '#/components/schemas/DatasetSnapshotStatus'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSnapshotsMeta'
components:
  schemas:
    DatasetSnapshotStatus:
      type: string
      enum:
        - canceled
        - scheduled
        - collecting
        - digesting
        - validating
        - building
        - delivering
        - pending_discovery_input
        - pending_pdp_input
        - pending_developer_review
        - pending_owner_review
        - queued_for_developer_review
        - ready
        - failed
        - rolling_back
    DatasetSnapshotsMeta:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          created:
            type: string
            format: date-time
          status:
            $ref: '#/components/schemas/DatasetSnapshotStatus'
          dataset_id:
            type: string
          view_id:
            type: string
          dataset_size:
            type: integer
            description: Number of records in the snapshot
        example:
          id: snap_m2bxug4e2o352v1jv1
          created: '2024-01-01T00:00:00Z'
          status: ready
          dataset_id: gd_l1viktl72bvl7bjuj0
          view_id: v_m6iezgld2c56zjwchm
          dataset_size: 1000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````